<?php
ob_start(); // start output buffering
header("Content-type: application/csv;"); // set file type in HTTP header
header('Content-Disposition: attachment; filename="customers.csv"'); // set file name in HTTP header
//------------------------------------------------------------
// Connect to DB2 on the i5 and run the select query
$conn = db2_connect ( "*LOCAL", "JVALANCE", "john1edu" )
	or die("<br>Connection failed! ". db2_conn_errormsg()); 
$query = "SELECT * FROM ZENDSVR.SP_CUST";
$stmt = db2_prepare( $conn, $query ) 
	or die("<br>Prepare failed! ". db2_stmt_errormsg());
db2_execute( $stmt ) 
	or die("<br>Execute failed! ". db2_stmt_errormsg());

//------------------------------------------------------------
// Open the output stream as a file handle
$handle = fopen("php://output", 'w') 
	or die ("Houston, we have a problem.");

//------------------------------------------------------------
// Write column headings 
$headings = array();
// Build heading line
for ($col = 0; $col < db2_num_fields($stmt); $col++) {
	$headings[] = db2_field_name( $stmt, $col );
}
fputcsv($handle, $headings);

//------------------------------------------------------------
// Write each row of the result set in CSV format
while ( $row = db2_fetch_array( $stmt ) ) {
	fputcsv($handle, $row);
}

//------------------------------------------------------------
// Close CSV file and DB2 connection
fclose($handle);
db2_close($conn);	
	
//------------------------------------------------------------
// Flush output buffer
ob_end_flush();
?>
