<?php 
function showScreen( $screenData ) {
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<style type="text/css"> 
	body { font-family: arial; color: navy; background-color: #ccc; }
	input[type=button] { margin: 5px 10px }
	h2 { border: 3px ridge silver; background-color: #EEF; font-family: times; 
		width: 50%;  color: darkred; font-size:2em; margin: 4px; padding: 3px}
	#header { margin: 0 auto; width: 90%;  }
	table.lists caption { background-color: beige; border: 1px solid navy; }
	table.lists { background-color: white; border: 1px solid navy; width: 90%; 
					padding: 5px; padding-bottom: 25px }
	table.lists th { background-color: navy; color: white; padding: .3em }
	table.lists td { border-bottom: 2px solid silver; vertical-align: top; 
					font-family: verdana; font-size: .85em; padding: 2px .3em }
</style>
</head>

<body>
<center>
<div id="header">
<h2>Customer Listing</h2>
</div>

<table class="lists">
	<tr>
		<th width="10%">Customer#</th>
		<th width="20%">Company</th>
		<th width="20%">Name</th>
		<th width="35%">Address</th>
		<th width="15%">Phone</th>
	</tr>
<?php 
foreach($screenData['tableRows'] as $row) :
?> 
	<tr> 
		<td>
			<?= $row['CUST_ID']; ?>
			&nbsp;
		</td>
		<td>
			<?= $row['COMPANY']; ?>
			&nbsp;
		</td>
		<td>
			<?= $row['LASTNAME'] . ', ' . $row['FIRSTNAME']; ?>
			&nbsp;
		</td>
		<td>
			<?php 
				echo $row['ADDRESS'];
				if (trim($row['ADDR2']) != '') echo $row['ADDR2']; 
				echo '<br>' . $row['CITY'] . ' ' . $row['STATE'] . ', ' . 
						$row['ZIP'] . ' ' . $row['COUNTRY'];
			?>
			&nbsp;
		</td>
		<td>
			<?= $row['PHONE']; ?>
			&nbsp;
		</td>
	</tr> 
<?php 
endforeach;
?>
</table>
</center>

</body>
</html>

<?php
}	// end of showScreen() function body 
?>